FROM debian:jessie

MAINTAINER Robin Thoni <robin@rthoni.com>

RUN groupadd -r email --gid=7788 && useradd -r -g email --uid=7788 email


RUN apt-get update &&\
    apt-get install -y dovecot-imapd dovecot-pop3d dovecot-sieve dovecot-managesieved dovecot-pgsql dovecot-lmtpd &&\
    apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

COPY ./run.sh /run.sh

RUN rm -rf /etc/dovecot/*

COPY ./config/ /etc/dovecot/

COPY ./certs/ /etc/ssl/private/

VOLUME ["/var/email"]

EXPOSE 110 143 993 995 4190

CMD ["/run.sh"]
